Page MenuHomePhabricator

Preserve Markup for MT output
Closed, ResolvedPublic

Description

Migrated from: https://wikimedia.mingle.thoughtworks.com/projects/language_engineering/cards/4306

Context

Apertium and potentially other MT engines are not designed well for keeping the html mark up of the input associated with correct words.

This issue was first explored by David in patchhttps://gerrit.wikimedia.org/r/#/c/143257/5

But it needs a broader scope and problem definition supported by enough test data to adapt it to other language pairs. This includes research and probably collaboration with Apertium since it is a generic MT problem

Narrative

As a <i>, I can </i>//<i>, so that </i>.//

Acceptance Criteria

//Enter the Acceptance Criteria here.//

Event Timeline

Amire80 raised the priority of this task from to Needs Triage.
Amire80 added a subscriber: Amire80.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 20 2015, 4:23 PM
Arrbee updated the task description. (Show Details)Feb 24 2015, 6:02 AM
Arrbee set Security to None.
Amire80 triaged this task as Normal priority.Feb 26 2015, 8:28 AM

What is left to do for this now that we have annotation mapping?

Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 6 2015, 10:37 AM
Amire80 assigned this task to santhosh.Oct 2 2015, 3:03 PM
Amire80 added a subscriber: santhosh.

It's probably resolved. Assigning to @santhosh in case anything else is left to be done that I'm missing.

santhosh closed this task as Resolved.Oct 13 2015, 6:38 AM